From: Robin Gustafsson <robin@rgson.se>
Date: Thu, 14 Dec 2023 17:57:31 +0100
Subject: Fix deprecation warnings in test

"shouldNotReceive(), never(), times(0) chaining additional invocation
count methods has been deprecated and will throw an exception in a
future version of Mockery"
---
 tests/unit/Swift/CharacterStream/ArrayCharacterStreamTest.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/unit/Swift/CharacterStream/ArrayCharacterStreamTest.php b/tests/unit/Swift/CharacterStream/ArrayCharacterStreamTest.php
index 3ed1c94..91f5b49 100644
--- a/tests/unit/Swift/CharacterStream/ArrayCharacterStreamTest.php
+++ b/tests/unit/Swift/CharacterStream/ArrayCharacterStreamTest.php
@@ -252,7 +252,7 @@ class Swift_CharacterStream_ArrayCharacterStreamTest extends \SwiftMailerTestCas
         $stream = new Swift_CharacterStream_ArrayCharacterStream($factory, 'utf-8');
 
         $os->shouldReceive('setReadPointer')
-           ->between(0, 1)
+           ->atMost()->times(1)
            ->with(0);
         $os->shouldReceive('read')->once()->andReturn(pack('C*', 0xD0));
         $os->shouldReceive('read')->once()->andReturn(pack('C*', 0x94));
@@ -284,7 +284,7 @@ class Swift_CharacterStream_ArrayCharacterStreamTest extends \SwiftMailerTestCas
         $stream = new Swift_CharacterStream_ArrayCharacterStream($factory, 'utf-8');
 
         $os->shouldReceive('setReadPointer')
-           ->between(0, 1)
+           ->atMost()->times(1)
            ->with(0);
         $os->shouldReceive('read')->once()->andReturn(pack('C*', 0xD0));
         $os->shouldReceive('read')->once()->andReturn(pack('C*', 0x94));
